getFavoritesLists.v1
POST
/shopgate.user.getFavoritesLists.v1
Returns all favorite lists of the user.
Apps that do not support multiple favorite lists never call this pipeline. They use a single implicit list with the id DEFAULT instead.
Request Body
Section titled “Request Body”Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
favoritesLists
required
Array<object>
FavoritesListA favorite list of the user.
object
id
required
favoritesListId
The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.
string
name
required
favoritesListName
The name of the favorite list as entered by the user.
string
Example
{ "favoritesLists": [ { "id": "1", "name": "Wishlist" }, { "id": "2", "name": "Birthday" } ]}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json

